NFS General Default Value Config¶
Search Field Entity¶
HTTP Request
POST /api/v1/general-default-values-config/search-entity
📋 Description: Submits a request to search for general default values configurations related to leases, contracts, financial obligations, and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
Request body containing search criteria and filters for retrieving general default values related to leases, contracts, financial obligations, and accounting entries. |
» filter |
body |
false |
Data transfer object representing a filter for NFS DV fields within the Nakisa Lease Accounting Suite, facilitating the identification and management of lease, contract, financial obligation, and accounting entry data. |
|
»» idIn |
body |
[integer] |
false |
Filter by multiple values of id |
»» idEqual |
body |
integer(int64) |
false |
Filter by exact match of id |
»» idLike |
body |
string |
false |
Filter by partial match of id |
»» searchTerm |
body |
string |
false |
Text value for searchTerm in NfsDvFieldDtoFilter |
»» typeEqual |
body |
string |
false |
Filter by exact match of type |
»» contextFilters |
body |
false |
List of contextFilters items |
|
»»» type |
body |
string |
false |
Type of the resource |
»»» ids |
body |
[string] |
false |
List of ids items |
» pageable |
body |
false |
Data transfer object representing a paginated collection of lease-related records, including contracts, financial obligations, and accounting entries, facilitating efficient data retrieval and management within the Nakisa Lease Accounting Suite. |
|
»» page |
body |
integer(int32) |
true |
Page number for pagination |
»» size |
body |
integer(int32) |
true |
Number of items per page |
»» sort |
body |
[string] |
false |
Sort order specification |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» typeEqual |
AG_CONSUMER_PRICE_INDEX, AG_CONSUMER_PRICE_INDEX_CATEGORY, AG_CONSUMER_PRICE_INDEX_CATEGORY_NON_LEASE, AG_CONSUMER_PRICE_INDEX_NON_LEASE, AG_EVENT_DISCOUNT_RATE_REVISION, AG_EVENT_MODIFICATION_REASONS, AG_REVISION_END_OF_TERM_INTENTION, CT_ASSET_VALUE_CURRENCY_TYPE, CT_BUSINESS_UNIT, CT_CALENDAR_TYPE, CT_COMPANY, CT_COMPOUNDING_FREQUENCY, CT_CURRENCY, CT_INDEXED_CURRENCY, CT_LEASE_AREA, CT_LEASE_DEPARTMENT, CT_LEASE_GROUP, CT_PRINCIPAL_POSITION_TYPE, CT_USE_IBR_RATE, FOS_ERP_SYSTEM, FOS_PRINCIPAL_POSITION_MODE, LC_INTERNAL_ASSET_CLASS, LC_UNIT_OF_MEASURE, LD_LEASE_TYPE, MA_BUSINESS_UNIT, MA_COMPANY, MA_LEASE_AREA, MA_LEASE_DEPARTMENT, MA_LEASE_GROUP, MICT_SKIP_ITEMS_WITH_OPEN_DRAFTS, MIJ_INDEXATION_DATE_TYPE, MIJ_INDEXATION_DATE_TYPE_NON_LEASE, MIJ_JOB_INDEXATION_TYPE, MIJ_JOB_INDEXATION_TYPE_NON_LEASE, MIJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MMJ_SKIP_ITEMS_WITH_OPEN_DRAFT, MPJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MWJ_ACCEPTS_HITCHHICKERS, MWJ_USE_DEFAULT_WORKBOOK_INPUT, TNC_AMOUNT_FREQUENCY, TNC_TERM_TYPE |
»»» type |
AG_CONSUMER_PRICE_INDEX, AG_CONSUMER_PRICE_INDEX_CATEGORY, AG_CONSUMER_PRICE_INDEX_CATEGORY_NON_LEASE, AG_CONSUMER_PRICE_INDEX_NON_LEASE, AG_EVENT_DISCOUNT_RATE_REVISION, AG_EVENT_MODIFICATION_REASONS, AG_REVISION_END_OF_TERM_INTENTION, CT_ASSET_VALUE_CURRENCY_TYPE, CT_BUSINESS_UNIT, CT_CALENDAR_TYPE, CT_COMPANY, CT_COMPOUNDING_FREQUENCY, CT_CURRENCY, CT_INDEXED_CURRENCY, CT_LEASE_AREA, CT_LEASE_DEPARTMENT, CT_LEASE_GROUP, CT_PRINCIPAL_POSITION_TYPE, CT_USE_IBR_RATE, FOS_ERP_SYSTEM, FOS_PRINCIPAL_POSITION_MODE, LC_INTERNAL_ASSET_CLASS, LC_UNIT_OF_MEASURE, LD_LEASE_TYPE, MA_BUSINESS_UNIT, MA_COMPANY, MA_LEASE_AREA, MA_LEASE_DEPARTMENT, MA_LEASE_GROUP, MICT_SKIP_ITEMS_WITH_OPEN_DRAFTS, MIJ_INDEXATION_DATE_TYPE, MIJ_INDEXATION_DATE_TYPE_NON_LEASE, MIJ_JOB_INDEXATION_TYPE, MIJ_JOB_INDEXATION_TYPE_NON_LEASE, MIJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MMJ_SKIP_ITEMS_WITH_OPEN_DRAFT, MPJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MWJ_ACCEPTS_HITCHHICKERS, MWJ_USE_DEFAULT_WORKBOOK_INPUT, TNC_AMOUNT_FREQUENCY, TNC_TERM_TYPE |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "searchTerm": "string",
9 "typeEqual": "FOS_ERP_SYSTEM",
10 "contextFilters": [
11 {
12 "type": "FOS_ERP_SYSTEM",
13 "ids": [
14 "string"
15 ]
16 }
17 ]
18 },
19 "pageable": {
20 "page": 0,
21 "size": 10,
22 "sort": [
23 "id,asc",
24 "name,desc"
25 ]
26 }
27}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 }
24 ],
25 "number": 0,
26 "sort": {
27 "unsorted": false,
28 "sorted": true,
29 "empty": false
30 },
31 "first": true,
32 "last": true,
33 "empty": true
34}
Get Default Values Allowed Types¶
HTTP Request
GET /api/v1/general-default-values-config/default-values-allowed-types
📋 Description: Retrieves the allowed types of default values configuration for leases, contracts, financial obligations, and accounting entries within the Nakisa Lease Accounting Suite.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "authorizations": [
9 "string"
10 ],
11 "levels": [
12 "APPLICATION"
13 ],
14 "allowDefaultValues": true,
15 "captionKey": "string",
16 "order": 0,
17 "id": "string",
18 "fieldName": "string"
19 }
20 ]
21}